%define module	Authen-PAM
%define version 0.16
%define release %mkrel 2

Summary:	Perl interface to the PAM library
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	pam-devel perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Authen::PAM module provides a Perl interface to the PAM library.
The only difference with the standard PAM interface is that the perl
one is simpler.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/auto/Authen/*
%{perl_vendorarch}/Authen/*


%changelog
* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-2mdv2007.0
+ Revision: 108547
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Authen-PAM



* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16
- fix url

* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-2mdk
- Rebuild

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-1mdk
- 1.15

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-5mdk
- Rebuild for new perl

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-4mdk
- rebuild for new perl

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.14-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 0.14-1mdk
- 0.14.

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.13-4mdk
- enhanced summary & description

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.13-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.13-2mdk
- rebuild for perl 5.8.0
- remove the filelist

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 0.13-1mdk
- 0.13.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 0.12-1mdk
- 0.12.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-3mdk
- BuildRequires: pam-devel perl-devel

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11-2mdk
- rebuild

* Thu Apr 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1.1mdk
- removed samples from doc
- changed spec name

* Thu Apr 12 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1mdk
- First Mandrake release
